[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Kernel compilation and gcc272

Yann Dirson writes:
 > Proposed solution:
 > ==================
 > * Include in a kernel-patch-2.2.x-i386 package a patch changing gcc to
 > gcc272.
 > * Make this patchso that it properly applies to all 2.2.x kernel (I
 > think it's possible, this part of the Makefile rarely changing)

The upstream kernel source uses the -fno-strict-aliasing flag starting 
with 2.2.11. I have been told that some modules do not compile due to
invalid asm statements. Are there other problems that gcc-2.95.1
cannot compile 2.2.x kernels?

Reply to: